## wayfire 0.7.4

=== meson_options.txt ===
option('enable_gles32', type: 'boolean', value: true, description: 'Enable usage of GLES 3.2')
option('use_system_wfconfig', type: 'feature', value: 'auto', description: 'Use the system-wide installation of wf-config')
option('use_system_wlroots', type: 'feature', value: 'auto', description: 'Use the system-wide installation of wlroots')
option('xwayland', type: 'feature', value: 'auto', description: 'Build with xwayland support. Requires wlroots also built with xwayland support')
option('default_config_backend', type: 'string', value: 'default', description: 'Default configuration backend to use')
option('print_trace', type: 'boolean', value: true, description: 'Print stack trace in debug logs (disables coredump)')

=== debian/changelog ===
wayfire (0.7.4-3+deb12u1) bookworm; urgency=medium

  * debian/control: Add missing -dev package dependency for
    wayfire-dev package. (Closes: #1064011)

 -- Boyuan Yang <byang@debian.org>  Fri, 16 Feb 2024 10:17:37 -0500

wayfire (0.7.4-3) unstable; urgency=medium

  * debian/control: Let libwf-utils-dev depends on libwf-utils0.
    (Closes: #1035440)

 -- Boyuan Yang <byang@debian.org>  Wed, 03 May 2023 15:25:12 -0400

wayfire (0.7.4-2) unstable; urgency=medium

  * debian/patches: Apply patch to fix package reproducibility.
    (Closes: #1016486)

 -- Boyuan Yang <byang@debian.org>  Wed, 03 Aug 2022 10:39:50 -0400

wayfire (0.7.4-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 31 Jul 2022 10:29:34 -0400

wayfire (0.7.3-1) unstable; urgency=medium

  * Initial release. (Closes: #953892)

 -- Boyuan Yang <byang@debian.org>  Thu, 05 May 2022 12:03:58 -0400

=== debian/control ===
Source: wayfire
Section: x11
Priority: optional
Maintainer: Boyuan Yang <byang@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 doctest-dev <!nocheck>,
 libcairo2-dev,
 libdrm-dev,
 libevdev-dev,
 libfreetype-dev,
 libgl-dev,
 libglm-dev,
 libinput-dev,
 libjpeg-dev,
 libpango1.0-dev,
 libpixman-1-dev,
 libpng-dev,
 libwayland-dev,
 libwf-config-dev,
 libwlroots-dev,
 libxkbcommon-dev,
 libxml2-dev,
 meson,
 pkg-config,
 wayland-protocols,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://wayfire.org/
Vcs-Git: https://salsa.debian.org/debian/wayfire.git
Vcs-Browser: https://salsa.debian.org/debian/wayfire

Package: libwf-touch-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
Description: 3D Wayland compositor (wf-touch library dev files)
 Wayfire is a 3D Wayland compositor, inspired by Compiz and based on
 wlroots. It aims to create a customizable, extendable and lightweight
 environment without sacrificing its appearance.
 .
 This package contains the development files for the embedded
 wf-touch library.

Package: libwf-utils-dev
Architecture: any
Multi-Arch: same
Depends:
 libwf-utils0 (= ${binary:Version}),
 ${misc:Depends},
Description: 3D Wayland compositor (wf-utils library dev files)
 Wayfire is a 3D Wayland compositor, inspired by Compiz and based on
 wlroots. It aims to create a customizable, extendable and lightweight
 environment without sacrificing its appearance.
 .
 This package contains the development files for the embedded
 wf-utils library.

Package: libwf-utils0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: 3D Wayland compositor (wf-utils library)
 Wayfire is a 3D Wayland compositor, inspired by Compiz and based on
 wlroots. It aims to create a customizable, extendable and lightweight
 environment without sacrificing its appearance.
 .
 This package contains the shared library files for the embedded
 wf-utils library.

Package: wayfire
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: 3D Wayland compositor
 Wayfire is a 3D Wayland compositor, inspired by Compiz and based on
 wlroots. It aims to create a customizable, extendable and lightweight
 environment without sacrificing its appearance.
 .
 This package contains the core files.

Package: wayfire-dev
Architecture: any
Depends:
 ${misc:Depends},
 libwlroots-dev,
 libcairo-dev,
 libpango1.0-dev,
 libwayland-dev,
 libpixman-1-dev,
 libwf-config-dev,
Description: 3D Wayland compositor (development files)
 Wayfire is a 3D Wayland compositor, inspired by Compiz and based on
 wlroots. It aims to create a customizable, extendable and lightweight
 environment without sacrificing its appearance.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

%:
	dh $@

execute_before_dh_autoreconf:
	# Prepare subproject source code
	mkdir subprojects || true
	cp -r wf-touch subprojects/
	cp -r wf-utils subprojects/

## wayfire 0.7.5

=== debian/changelog ===
wayfire (0.7.5-2) unstable; urgency=medium

  * debian/control: Add missing -dev package dependency for
    wayfire-dev package.

 -- Boyuan Yang <byang@debian.org>  Fri, 29 Sep 2023 09:46:30 -0400

wayfire (0.7.5-1) unstable; urgency=medium

  * Upload to unstable.
  * debian/patches/0001-Fix-FTBFS-with-gcc-13.patch: Fix FTBFS with
    gcc 13. (Closes: #1037892)

 -- Boyuan Yang <byang@debian.org>  Mon, 24 Jul 2023 17:03:49 -0400

wayfire (0.7.5-1~exp2) experimental; urgency=high

  * debian/control: Let libwf-utils-dev depends on libwf-utils0.
    (Closes: #1035440)

 -- Boyuan Yang <byang@debian.org>  Wed, 03 May 2023 15:20:17 -0400

wayfire (0.7.5-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/patches: Dropped, merged upstream.
  * debian/control: Require wlroots (>= 0.16).

 -- Boyuan Yang <byang@debian.org>  Wed, 07 Dec 2022 15:45:49 -0500

=== debian/control ===
--- 
+++ 
@@ -19,13 +19,13 @@
  libpng-dev,
  libwayland-dev,
  libwf-config-dev,
- libwlroots-dev,
+ libwlroots-dev (>= 0.16),
  libxkbcommon-dev,
  libxml2-dev,
  meson,
  pkg-config,
  wayland-protocols,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://wayfire.org/
 Vcs-Git: https://salsa.debian.org/debian/wayfire.git

## wayfire 0.8.0+git20240110

=== meson_options.txt ===
--- 
+++ 
@@ -4,3 +4,5 @@
 option('xwayland', type: 'feature', value: 'auto', description: 'Build with xwayland support. Requires wlroots also built with xwayland support')
 option('default_config_backend', type: 'string', value: 'default', description: 'Default configuration backend to use')
 option('print_trace', type: 'boolean', value: true, description: 'Print stack trace in debug logs (disables coredump)')
+option('tests', type: 'feature', value: 'auto', description: 'Enable unit tests')
+option('debug_ipc', type: 'boolean', value: 'true', description: 'Enable debugging IPC')

=== debian/changelog ===
wayfire (0.8.0+git20240110-2.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:39:14 +1100

wayfire (0.8.0+git20240110-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063065

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Feb 2024 01:52:00 +0000

wayfire (0.8.0+git20240110-2) unstable; urgency=medium

  * debian/patches/d02f4efbc5aa875f4139b5b63c9a882237e594db.patch: 
    Add patch from upstream trunk to fix 0.8.0 regression where
    modal windows opened as a tile. (upstream issue 1990)
  * debian/patches/1ecf72a565e9d8bbda81ea04a7b60471ce81dbce.patch:
    Ignore SIGPIPE globally. (upstream issue 2096)

 -- Boyuan Yang <byang@debian.org>  Fri, 16 Feb 2024 10:46:33 -0500

wayfire (0.8.0+git20240110-1) unstable; urgency=medium

  * New upstream trunk snapshot.
    + Supports wlroots 0.17. (Closes: #1058494)
  * debian/control: Update build-dependencies accordingly.
  * debian/control: Add dependency on libglx-vendor. (Closes: #1033938)
  * debian/patches: Drop old patches, add patch to relax wf-config
    version requirement.

 -- Boyuan Yang <byang@debian.org>  Wed, 10 Jan 2024 09:57:41 -0500

wayfire (0.8.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Tue, 24 Oct 2023 13:26:25 -0400

wayfire (0.8.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/rules: Enable switches to use system wlroots and
    wf-config libraries.
  * debian/patches: Dropped, merged upstream.
  * debian/patches/564b75a45d7c844b61b510e68fa527109fce4a75.patch:
    Add upstream patch from trunk to fix man page installation.
  * debian/wayfire.triggers: Circumvent lintian ldconfig error.
  * debian/control: Add new build-dependency nlohmann-json3-dev.

 -- Boyuan Yang <byang@debian.org>  Mon, 16 Oct 2023 15:09:20 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: wayfire
 Section: x11
 Priority: optional
-Maintainer: Boyuan Yang <byang@debian.org>
-Build-Depends:
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
+Build-Depends: dpkg-dev (>= 1.22.5),
  cmake,
  debhelper-compat (= 13),
  doctest-dev <!nocheck>,
@@ -18,11 +19,12 @@
  libpixman-1-dev,
  libpng-dev,
  libwayland-dev,
- libwf-config-dev,
- libwlroots-dev (>= 0.16),
+ libwf-config-dev (>= 0.8),
+ libwlroots-dev (>= 0.17),
  libxkbcommon-dev,
  libxml2-dev,
  meson,
+ nlohmann-json3-dev,
  pkg-config,
  wayland-protocols,
 Standards-Version: 4.6.2
@@ -48,7 +50,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libwf-utils0 (= ${binary:Version}),
+ libwf-utils0t64 (= ${binary:Version}),
  ${misc:Depends},
 Description: 3D Wayland compositor (wf-utils library dev files)
  Wayfire is a 3D Wayland compositor, inspired by Compiz and based on
@@ -58,7 +60,10 @@
  This package contains the development files for the embedded
  wf-utils library.
 
-Package: libwf-utils0
+Package: libwf-utils0t64
+Provides: ${t64:Provides}
+Replaces: libwf-utils0
+Breaks: libwf-utils0 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -75,6 +80,7 @@
 Package: wayfire
 Architecture: any
 Depends:
+ libglx-vendor,
  ${misc:Depends},
  ${shlibs:Depends},
 Description: 3D Wayland compositor
@@ -87,13 +93,14 @@
 Package: wayfire-dev
 Architecture: any
 Depends:
- ${misc:Depends},
- libwlroots-dev,
  libcairo-dev,
  libpango1.0-dev,
+ libpixman-1-dev,
  libwayland-dev,
- libpixman-1-dev,
  libwf-config-dev,
+ libwf-utils-dev,
+ libwlroots-dev,
+ ${misc:Depends},
 Description: 3D Wayland compositor (development files)
  Wayfire is a 3D Wayland compositor, inspired by Compiz and based on
  wlroots. It aims to create a customizable, extendable and lightweight

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,12 @@
 %:
 	dh $@
 
+override_dh_auto_configure:
+	dh_auto_configure -- \
+		-Duse_system_wlroots=enabled \
+		-Duse_system_wfconfig=enabled \
+		$(NULL)
+
 execute_before_dh_autoreconf:
 	# Prepare subproject source code
 	mkdir subprojects || true

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://github.com/WayfireWM/wayfire/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
opts="component=wf-touch, mode=git, pgpmode=none" \
 https://github.com/WayfireWM/wf-touch \
 HEAD ignore
opts="component=wf-utils, mode=git, pgpmode=none" \
 https://github.com/WayfireWM/wf-utils \
 HEAD ignore

## wayfire 0.8.1

=== debian/changelog ===
wayfire (0.8.1-2) unstable; urgency=medium

  * QA upload.
  * Orphan the packge. (See #1076391)

 -- Boyuan Yang <byang@debian.org>  Mon, 15 Jul 2024 12:31:37 -0400

wayfire (0.8.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 21 Mar 2024 18:57:33 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: wayfire
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5),
  cmake,
  debhelper-compat (= 13),
@@ -19,7 +18,7 @@
  libpixman-1-dev,
  libpng-dev,
  libwayland-dev,
- libwf-config-dev (>= 0.8),
+ libwf-config-dev (>= 0.8.0),
  libwlroots-dev (>= 0.17),
  libxkbcommon-dev,
  libxml2-dev,
@@ -27,7 +26,7 @@
  nlohmann-json3-dev,
  pkg-config,
  wayland-protocols,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://wayfire.org/
 Vcs-Git: https://salsa.debian.org/debian/wayfire.git

## wayfire 0.9.0

=== Makefile ===
# Copyright © 2020 Erik Van Hamme

# Project name.
PROJECT := wf-utils

# List of source files.
SOURCES := \
	wayfire/action/action.cpp \
	wayfire/condition/condition.cpp \
	wayfire/condition/logic_condition.cpp \
	wayfire/condition/test_condition.cpp \
	wayfire/lexer/lexer.cpp \
	wayfire/lexer/literal.cpp \
	wayfire/lexer/symbol.cpp \
	wayfire/parser/action_parser.cpp \
	wayfire/parser/condition_parser.cpp \
        wayfire/parser/lambda_rule_parser.cpp \
	wayfire/parser/rule_parser.cpp \
        wayfire/rule/lambda_rule.cpp \
	wayfire/rule/rule.cpp \
	wayfire/variant.cpp \
	main.cpp \

# List of system source files.
SYSTEMSOURCES := \

# List of include directories.
INCLUDES := \
	. \

# List of system include directories.
SYSTEMINCLUDES := \

# IWYU include directives.
IWYUINCLUDES := -isystem /usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/include

# List of preprocessor defines.
DEFINES := \

# List of static libraries.
SLIBS := \

# Target architecure
ARCH := -march=native

# Build mode/directory.
BUILDMODE ?= debug
BUILDDIR := $(BUILDMODE)

# Output artefacts.
ELFFILE := $(BUILDDIR)/$(PROJECT).elf
BINFILE := $(BUILDDIR)/$(PROJECT)

# Object list and containing folders.
OBJECTS := $(patsubst %,$(BUILDDIR)/%.o,$(SOURCES)) $(patsubst %,$(BUILDDIR)/%sys.o,$(SYSTEMSOURCES))
OBJECTDIRS := $(sort $(dir $(OBJECTS)))

# List of include paths.
INCLUDEPATHS := $(patsubst %,-I %,$(INCLUDES)) $(patsubst %,-isystem %,$(SYSTEMINCLUDES))

# Tools.
CC := gcc
AS := gcc
GPP := g++
LD := g++
OC := objcopy
OS := size
IWYU := include-what-you-use

# Warnings configuration.
WARNCOMMON :=  -Wall -Wextra -Wcast-align -Wcast-qual -Wdisabled-optimization -Wformat=2 \
	-Winit-self -Wlogical-op -Wmissing-include-dirs -Wredundant-decls -Wstrict-overflow=5 \
	-Wno-unused -Wno-variadic-macros -Wno-parentheses -Wshadow
WARNC := $(WARNCOMMON)
WARNCPP := $(WARNCOMMON) -Wnoexcept -Woverloaded-virtual -Wsign-promo -Wstrict-null-sentinel -Wold-style-cast -Wpedantic
WARNAS := -Wall

# Dependency generation.
DEPGEN = -MMD -MP -MF"$(@:%.o=%.d)"
DEPS := $(patsubst %.o,%.d,$(OBJECTS))

# Debug/release setting
ifeq ($(BUILDMODE),debug)
OPT_DEBUG := -Og -g3 -gdwarf-2 -pipe
endif
ifeq ($(BUILDMODE),release)
OPT_DEBUG := -O3 -pipe
endif

# Compiler/assembler flags.
CFLAGSCOMMON = -c $(DEPGEN) -ffunction-sections -fdata-sections -fmessage-length=0 # -Wa,-adhlns="$@.lst"
CFLAGS = $(CFLAGSCOMMON) -std=c18 -fno-builtin $(OPT_DEBUG)
CPPFLAGS = $(CFLAGSCOMMON) -std=c++17 $(OPT_DEBUG)
ASFLAGS = -c $(OPT_DEBUG)
IWYUFLAGS = -Xiwyu --no_comments -Xiwyu --quoted_includes_first -Xiwyu --cxx17ns

# Linker,objcopy flags.
LDFLAGS = -Xlinker --gc-sections -Wl,-Map=$(BUILDDIR)/$(PROJECT).map
OCFLAGS = -O binary

# Include support for project specific targets.
-include targets.mk

# Set default target to all.
.DEFAULT_GOAL := all

# List of phony targets.
.PHONY:: all info info_verbose clean flash

all:: $(OBJECTDIRS) $(BINFILE)

info::
	@echo "project        $(PROJECT)"
	@echo ""
	@echo "arch           $(ARCH)"
	@echo ""
	@echo "builddir:      $(BUILDDIR)"
	@echo ""
	@echo "includepaths:  $(INCLUDEPATHS)"
	@echo ""
	@echo "cflags:        $(CFLAGS)"
	@echo ""
	@echo "cpplags:       $(CPPFLAGS)"
	@echo ""
	@echo "asflags:       $(ASFLAGS)"
	@echo ""
	@echo "ldflags:       $(LDFLAGS)"
	@echo ""
	@echo "defines:       $(DEFINES)"
	@echo ""
	@echo "static libs:   $(SLIBS)"
	@echo ""

info_verbose:: info
	@echo "sources:       $(SOURCES)"
	@echo ""
	@echo "systemsources: $(SYSTEMSOURCES)"
	@echo ""
	@echo "objects:       $(OBJECTS)"
	@echo ""
	@echo "deps:          $(DEPS)"
	@echo ""

clean::
	@echo "Cleaning"
	@rm -rf $(BUILDDIR)

$(OBJECTDIRS):
	@echo "Creating output directories"
	@mkdir -p $(OBJECTDIRS)

$(ELFFILE): $(OBJECTS) $(SLIBS)
	@echo "Linking"
	@$(LD) $(ARCH) $(LDFLAGS) $(OBJECTS) $(SLIBS) -o $(ELFFILE)
	@echo "---------------------------------------"
	@$(OS) $(ELFFILE)
	@echo "---------------------------------------"

$(BINFILE): $(ELFFILE)
	@$(OC) $(OCFLAGS) $(ELFFILE) $(BINFILE)

flash: $(BINFILE)
	$(OOCD) $(OOCDCFGS) $(OOCDCMDS)

oocd: $(BINFILE)
	$(OOCD) $(OOCDCFGS)

serialflash: $(BINFILE)
	@echo 'Flashing bin file to microcontroller.'
	$(STM32FLASH) $(STM32FLASHARGS) $(STM32FLASHPORT)

ifneq ($(MAKECMDGOALS),clean)
ifneq ($(strip $(DEPS)),)
-include $(DEPS)
endif
endif

$(BUILDDIR)/%.s.o : %.s
	@echo "Assembling $<"
	@$(AS) $(ARCH) $(ASFLAGS) $(DEFINES) $(WARNAS) -o "$@" "$<"

$(BUILDDIR)/%.S.o : %.S
	@echo "Assembling $<"
	@$(AS) $(ARCH) $(ASFLAGS) $(DEFINES) $(WARNAS) -o "$@" "$<"

$(BUILDDIR)/%.c.o : %.c
	@echo "Compiling $<"
	@$(CC) $(ARCH) $(CFLAGS) $(INCLUDEPATHS) $(DEFINES) $(WARNC) -o "$@" "$<"

$(BUILDDIR)/%.cpp.o : %.cpp
	@-$(IWYU) $(ARCH) $(CPPFLAGS) $(IWYUFLAGS) $(INCLUDEPATHS) $(IWYUINCLUDES) $(DEFINES) -o "$@" "$<" &>> $(BUILDMODE)/iwyu.out || true
	@echo "Compiling $<"
	@$(GPP) $(ARCH) $(CPPFLAGS) $(INCLUDEPATHS) $(DEFINES) $(WARNCPP) -o "$@" "$<"


$(BUILDDIR)/%.ssys.o : %.s
	@echo "Assembling $<"
	@$(AS) $(ARCH) $(ASFLAGS) $(DEFINES) -o "$@" "$<"

$(BUILDDIR)/%.Ssys.o : %.S
	@echo "Assembling $<"
	@$(AS) $(ARCH) $(ASFLAGS) $(DEFINES) -o "$@" "$<"

$(BUILDDIR)/%.csys.o : %.c
	@echo "Compiling $<"
	@$(CC) $(ARCH) $(CFLAGS) -w $(INCLUDEPATHS) $(DEFINES) -o "$@" "$<"

$(BUILDDIR)/%.cppsys.o : %.cpp
	@echo "Compiling $<"
	@$(GPP) $(ARCH) $(CPPFLAGS) -w $(INCLUDEPATHS) $(DEFINES) -o "$@" "$<"

=== meson_options.txt ===
option('enable_gles32', type: 'boolean', value: true, description: 'Enable usage of GLES 3.2')
option('enable_openmp', type: 'boolean', value: true, description: 'Enable usage of OpenMP')
option('use_system_wfconfig', type: 'feature', value: 'auto', description: 'Use the system-wide installation of wf-config')
option('use_system_wlroots', type: 'feature', value: 'auto', description: 'Use the system-wide installation of wlroots')
option('xwayland', type: 'feature', value: 'auto', description: 'Build with xwayland support. Requires wlroots also built with xwayland support')
option('default_config_backend', type: 'string', value: 'default', description: 'Default configuration backend to use')
option('print_trace', type: 'boolean', value: true, description: 'Print stack trace in debug logs (disables coredump)')
option('tests', type: 'feature', value: 'auto', description: 'Enable unit tests')

=== debian/changelog ===
wayfire (0.9.0-5) unstable; urgency=medium

  * QA upload.

  [ Scott Moreau ]
  * ipc-input-methods: Pass device vendor/product id from libinput if available

  [ Chris Hofstaedtler ]
  * Break reform-firedecor using old wlroots

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 24 Dec 2024 13:08:54 +0100

wayfire (0.9.0-4) unstable; urgency=medium

  * debian/patches: expand patches for upstream branch track-wlroots
  * add debian/salsa-ci.yml

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Wed, 04 Dec 2024 13:59:44 +0100

wayfire (0.9.0-3) unstable; urgency=medium

  * QA upload.
  * debian/rules: clean up subprojects directory (Closes: #1045910)
  * debian/patches: add patch for compatibility with wlroots 0.18

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sun, 24 Nov 2024 18:19:01 +0100

wayfire (0.9.0-2) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Sun, 13 Oct 2024 18:18:54 -0400

wayfire (0.9.0-1) experimental; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/patches/: Dropped, not needed anymore.
  * debian/control: Update build-dependency versions.
  * debian/control: Update build-dependencies to use libwlroots-0.18-dev.
  * debian/patches/80d6bcc6b2de023d99e4c5d8ed4a9cb8313b3196.patch:
    Add patch to fix compatibility with wf-touch git HEAD.

 -- Boyuan Yang <byang@debian.org>  Tue, 08 Oct 2024 15:00:52 -0400

=== debian/control ===
--- 
+++ 
@@ -18,13 +18,13 @@
  libpixman-1-dev,
  libpng-dev,
  libwayland-dev,
- libwf-config-dev (>= 0.8.0),
- libwlroots-dev (>= 0.17),
+ libwf-config-dev (>= 0.9.0),
+ libwlroots-0.18-dev,
  libxkbcommon-dev,
  libxml2-dev,
  meson,
  nlohmann-json3-dev,
- pkg-config,
+ pkgconf,
  wayland-protocols,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
@@ -82,6 +82,8 @@
  libglx-vendor,
  ${misc:Depends},
  ${shlibs:Depends},
+Breaks:
+ reform-firedecor (<< 2023-10-23-8)
 Description: 3D Wayland compositor
  Wayfire is a 3D Wayland compositor, inspired by Compiz and based on
  wlroots. It aims to create a customizable, extendable and lightweight
@@ -98,7 +100,7 @@
  libwayland-dev,
  libwf-config-dev,
  libwf-utils-dev,
- libwlroots-dev,
+ libwlroots-0.18-dev,
  ${misc:Depends},
 Description: 3D Wayland compositor (development files)
  Wayfire is a 3D Wayland compositor, inspired by Compiz and based on

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,12 @@
 
 execute_before_dh_autoreconf:
 	# Prepare subproject source code
-	mkdir subprojects || true
-	cp -r wf-touch subprojects/
-	cp -r wf-utils subprojects/
+	# dpkg unpacks components into directories in the root of the unpacked
+	# source package but we need them to be in the subprojects directory
+	rm -rf subprojects
+	mkdir subprojects
+	ln -s ../wf-touch subprojects/wf-touch
+	ln -s ../wf-utils subprojects/wf-utils
+
+execute_after_dh_auto_clean:
+	rm -rf subprojects/

## wayfire 0.10.0

=== debian/changelog ===
wayfire (0.10.0-1) unstable; urgency=medium

  * QA upload
  * New upstream release (Closes: #1111152)
  * debian/patches: drop old patches that are not needed anymore
  * debian/patches: add backported bugfixes since the last release
  * debian/control: update wlroots and json dependencies
  * debian/*install: update installed files

 -- Daniel Kondor <kondor.dani@gmail.com>  Sun, 16 Nov 2025 12:51:42 +0100

=== debian/control ===
--- 
+++ 
@@ -18,12 +18,12 @@
  libpixman-1-dev,
  libpng-dev,
  libwayland-dev,
- libwf-config-dev (>= 0.9.0),
- libwlroots-0.18-dev,
+ libwf-config-dev (>= 0.10.0),
+ libwlroots-0.19-dev,
  libxkbcommon-dev,
  libxml2-dev,
+ libyyjson-dev,
  meson,
- nlohmann-json3-dev,
  pkgconf,
  wayland-protocols,
 Standards-Version: 4.7.0
@@ -100,7 +100,8 @@
  libwayland-dev,
  libwf-config-dev,
  libwf-utils-dev,
- libwlroots-0.18-dev,
+ libwlroots-0.19-dev,
+ libyyjson-dev,
  ${misc:Depends},
 Description: 3D Wayland compositor (development files)
  Wayfire is a 3D Wayland compositor, inspired by Compiz and based on
